"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Hashes = void 0;
const crypto_1 = require("crypto");
const fs_1 = require("fs");
class Hashes {
    static async fileHash(path) {
        return new Promise((resolve, reject) => {
            const hashSum = (0, crypto_1.createHash)('sha256');
            const stream = (0, fs_1.createReadStream)(path);
            stream.on('error', (err) => reject(err));
            stream.on('data', (chunk) => hashSum.update(chunk));
            stream.on('end', () => resolve(hashSum.digest('hex')));
        });
    }
    static stringHash(str) {
        const sha = (0, crypto_1.createHash)('sha256').update(str);
        return sha.digest('hex');
    }
}
exports.Hashes = Hashes;
module.exports = { Hashes };
//# sourceMappingURL=index.js.map